> ## Documentation Index
> Fetch the complete documentation index at: https://docs.atollhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retarget human attention



## OpenAPI

````yaml /openapi.json post /api/orgs/{id}/attention/{attentionId}/retarget
openapi: 3.1.0
info:
  title: Atoll API
  version: 1.0.0
  description: >-
    REST API for Atoll project management, agent collaboration, strategy
    tracking, and integrations.
servers:
  - url: https://atollhq.com
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Authentication
  - name: Organizations
  - name: Projects
  - name: Project access
  - name: Issues
  - name: Issue details
  - name: Milestones
  - name: Artifacts
  - name: Strategy
  - name: Members and agents
  - name: Planning
  - name: Setup
  - name: Integrations and billing
  - name: Notifications and public
  - name: Private inbox
  - name: Agent executions
  - name: Human attention
paths:
  /api/orgs/{id}/attention/{attentionId}/retarget:
    parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
          format: uuid
      - name: attentionId
        in: path
        required: true
        schema:
          type: string
          format: uuid
    post:
      tags:
        - Human attention
      summary: Retarget human attention
      operationId: retarget_human_attention
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/HumanAttentionRetargetRequest'
      responses:
        '200':
          description: Retarget human attention
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HumanAttentionMutationResponse'
        '400':
          $ref: '#/components/responses/BadRequest'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
        '409':
          description: Stable human-attention lifecycle conflict
components:
  schemas:
    HumanAttentionRetargetRequest:
      oneOf:
        - allOf:
            - type: object
              required:
                - expected_attention_version
                - expected_state_version
                - idempotency_key
              properties:
                expected_attention_version:
                  type: integer
                  minimum: 1
                expected_state_version:
                  type: integer
                  minimum: 1
                idempotency_key:
                  type: string
                  minLength: 1
                  maxLength: 128
            - type: object
              required:
                - target_type
                - target_member_id
              properties:
                target_type:
                  const: member
                target_member_id:
                  type: string
                  format: uuid
                target_team_id:
                  type: 'null'
          unevaluatedProperties: false
        - allOf:
            - type: object
              required:
                - expected_attention_version
                - expected_state_version
                - idempotency_key
              properties:
                expected_attention_version:
                  type: integer
                  minimum: 1
                expected_state_version:
                  type: integer
                  minimum: 1
                idempotency_key:
                  type: string
                  minLength: 1
                  maxLength: 128
            - type: object
              required:
                - target_type
                - target_team_id
              properties:
                target_type:
                  const: team
                target_member_id:
                  type: 'null'
                target_team_id:
                  type: string
                  format: uuid
          unevaluatedProperties: false
        - allOf:
            - type: object
              required:
                - expected_attention_version
                - expected_state_version
                - idempotency_key
              properties:
                expected_attention_version:
                  type: integer
                  minimum: 1
                expected_state_version:
                  type: integer
                  minimum: 1
                idempotency_key:
                  type: string
                  minLength: 1
                  maxLength: 128
            - type: object
              required:
                - target_type
              properties:
                target_type:
                  const: project_admins
                target_member_id:
                  type: 'null'
                target_team_id:
                  type: 'null'
          unevaluatedProperties: false
    HumanAttentionMutationResponse:
      type: object
      required:
        - attention
        - execution
      properties:
        attention:
          $ref: '#/components/schemas/HumanAttentionDetail'
        execution:
          $ref: '#/components/schemas/AgentExecution'
      additionalProperties: false
    HumanAttentionDetail:
      type: object
      required:
        - id
        - status
        - kind
        - title
        - request_summary
        - why_needed
        - resume_condition
        - target
        - requester
        - requested_at
        - closed_at
        - resolution_outcome
        - resolution_summary
        - closed_by
        - attention_version
        - execution
        - issue
        - project
        - execution_state_version_at_request
        - execution_state_version_at_close
      properties:
        id:
          type: string
          format: uuid
        status:
          type: string
          enum:
            - open
            - resolved
            - cancelled
        kind:
          type: string
          enum:
            - approval
            - clarification
            - access
            - decision
            - destructive_action
            - other
        title:
          type: string
        request_summary:
          type: string
        why_needed:
          type: string
        resume_condition:
          type: string
        target:
          $ref: '#/components/schemas/HumanAttentionTarget'
        requester:
          $ref: '#/components/schemas/HumanAttentionActor'
        requested_at:
          type: string
          format: date-time
        closed_at:
          type:
            - string
            - 'null'
          format: date-time
        resolution_outcome:
          type:
            - string
            - 'null'
          enum:
            - approved
            - rejected
            - answered
            - provided
            - denied
            - null
        resolution_summary:
          type:
            - string
            - 'null'
        closed_by:
          oneOf:
            - $ref: '#/components/schemas/HumanAttentionActor'
            - type: 'null'
        attention_version:
          type: integer
          minimum: 1
        execution:
          $ref: '#/components/schemas/HumanAttentionExecution'
        issue:
          $ref: '#/components/schemas/HumanAttentionIssue'
        project:
          oneOf:
            - $ref: '#/components/schemas/HumanAttentionProject'
            - type: 'null'
        execution_state_version_at_request:
          type: integer
          minimum: 1
        execution_state_version_at_close:
          type:
            - integer
            - 'null'
          minimum: 1
      additionalProperties: false
    AgentExecution:
      type: object
      additionalProperties: true
      required:
        - id
        - issue_id
        - state
        - state_version
        - agent
        - last_actor
        - created_at
        - updated_at
      properties:
        id:
          type: string
          format: uuid
        issue_id:
          type: string
          format: uuid
        current_project_id:
          type: string
          format: uuid
          nullable: true
        project_id_at_creation:
          type: string
          format: uuid
          nullable: true
        state:
          type: string
          enum:
            - assigned
            - running
            - waiting
            - needs_human
            - succeeded
            - failed
            - cancelled
        state_version:
          type: integer
          minimum: 1
        agent:
          $ref: '#/components/schemas/AgentExecutionActor'
        last_actor:
          $ref: '#/components/schemas/AgentExecutionActor'
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
    Error:
      type: object
      description: >-
        Common error responses contain error. Shared missing-auth and
        unknown-API responses also contain a stable code.
      properties:
        error:
          type: string
        code:
          type: string
      required:
        - error
      examples:
        - error: Unauthorized
          code: unauthorized
        - error: Not found
          code: not_found
      additionalProperties: true
    HumanAttentionTarget:
      type: object
      required:
        - type
        - member
        - team
        - snapshot_member_id
        - snapshot_member_display_name
        - snapshot_team_id
        - snapshot_team_name
      properties:
        type:
          type: string
          enum:
            - member
            - team
            - project_admins
        member:
          oneOf:
            - $ref: '#/components/schemas/HumanAttentionActor'
            - type: 'null'
        team:
          oneOf:
            - $ref: '#/components/schemas/HumanAttentionTeam'
            - type: 'null'
        snapshot_member_id:
          type:
            - string
            - 'null'
          format: uuid
        snapshot_member_display_name:
          type:
            - string
            - 'null'
        snapshot_team_id:
          type:
            - string
            - 'null'
          format: uuid
        snapshot_team_name:
          type:
            - string
            - 'null'
      additionalProperties: false
    HumanAttentionActor:
      type: object
      required:
        - id
        - display_name
        - type
        - deleted
      properties:
        id:
          type: string
          format: uuid
        display_name:
          type:
            - string
            - 'null'
        type:
          type: string
          enum:
            - human
            - agent
            - integration
        deleted:
          type: boolean
      additionalProperties: false
    HumanAttentionExecution:
      type: object
      required:
        - id
        - state
        - state_version
      properties:
        id:
          type: string
          format: uuid
        state:
          type: string
          enum:
            - assigned
            - running
            - waiting
            - needs_human
            - succeeded
            - failed
            - cancelled
        state_version:
          type: integer
          minimum: 1
      additionalProperties: false
    HumanAttentionIssue:
      type: object
      required:
        - id
        - title
        - identifier
      properties:
        id:
          type: string
          format: uuid
        title:
          type: string
        identifier:
          type:
            - string
            - 'null'
      additionalProperties: false
    HumanAttentionProject:
      type: object
      required:
        - id
        - name
        - slug
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        slug:
          type: string
      additionalProperties: false
    AgentExecutionActor:
      type: object
      additionalProperties: false
      required:
        - id
        - display_name
        - type
        - deleted
      properties:
        id:
          type: string
          format: uuid
        display_name:
          type: string
          nullable: true
        type:
          type: string
          enum:
            - human
            - agent
            - integration
        deleted:
          type: boolean
    HumanAttentionTeam:
      type: object
      required:
        - id
        - name
        - deleted
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        deleted:
          type: boolean
      additionalProperties: false
  responses:
    BadRequest:
      description: Invalid request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Forbidden:
      description: Authenticated but not allowed
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    NotFound:
      description: Resource not found or not visible
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: sk_atoll_<key>

````